Bug 810086 - remove starttime from beefy-miracle.xml , causes crashes if system date < startime
remove starttime from beefy-miracle.xml , causes crashes if system date < sta...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beefy-miracle-backgrounds (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 02:05 EDT by Martin Langhoff
Modified: 2013-07-31 23:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:34:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Langhoff 2012-04-05 02:05:14 EDT
Description of problem:

GNOME crashes if the system date is earlier than the "starttime" described in the "background.xml" file.

In this case, the xml file is beefy-miracle.xml -- the same problem applies to all Fedora releases based on GNOME3. 

The crash in gnome-desktop libraries is filed at #809707 . It is a clearly good idea to remove starttime from the XML file, as it is an optional token. Once the crash is fixed, there is no reason to _not_ have a background image if the clock is wrong.

Depending on the upstream resolution of #809707, it may be a good idea to also remove "duration". However at this time duration is mandatory.

How reproducible:

100%

Steps to Reproduce:

Either roll back your system clock to test  or fetch the Alpha iso and run: 

qemu-kvm --cdrom ~/Downloads/Fedora-17-Alpha-i686-Live-Desktop.iso --rtc
base=2000-01-01T00:00:00 -m 512
Comment 1 Fedora End Of Life 2013-07-03 20:09:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:34:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.